<div>
	<slot />
</div>

<style lang="postcss">
	div {
		display: grid;
		gap: 1rem;
		grid-template-columns: 100%;
		grid-template-rows: auto 1fr auto;
		min-height: 100%;
		max-width: 640px;
		padding-inline-start: 1rem;
		padding-inline-end: 1rem;
		background-color: var( --c-bg );

		@media ( min-width: 680px ) {
			margin-inline-start: auto;
			margin-inline-end: auto;
			padding-inline-start: 1.25rem;
			padding-inline-end: 1.25rem;
		}
	}
</style>
